Started anew

This commit is contained in:
2026-03-23 16:18:38 +00:00
parent 74a0067e1d
commit fee1011c73
16907 changed files with 66058 additions and 0 deletions
+17
View File
@@ -0,0 +1,17 @@
#!/usr/bin/env bash
set -euo pipefail
# Source and destination directories
SOURCE_DIR="/home/henrov/Repos/nixos/henrovnix_ok/assets/copy_stuff/"
DEST_DIR="/home/henrov/"
# Check if source directory exists
if [ ! -d "$SOURCE_DIR" ]; then
echo "Error: Source directory $SOURCE_DIR does not exist."
exit 1
fi
# Use rsync to copy files, overwriting symlinks and existing files
# --no-group --no-owner preserves your user ownership
rsync -av --no-group --no-owner "$SOURCE_DIR/" "$DEST_DIR/"
echo "Config files copied from $SOURCE_DIR to $DEST_DIR. Symlinks replaced with editable files."
pkill waybar && waybar &
hyprctl reload
+20
View File
@@ -0,0 +1,20 @@
#!/bin/sh
set -euo pipefail
#creating a timestamp-file to see whether this script ran
TIMESTAMP_FILE="/home/henrov/nixos_conf/nixos_timestamp.txt"
date +"%Y-%m-%d %H:%M:%S" > "$TIMESTAMP_FILE"
echo "File $TIMESTAMP_FILE created"
#cleaning up .backup files (do not worry, they exist safely in ./assets/copy_stuff/.config)
find /home/henrov/.config -name "*.backup" -delete
echo "~/.config/*.backup files deleted"
#copying stuff from assets/copy_stuff to ~
echo "Now in path $(pwd)"
COPY_SCRIPT="/home/henrov/Repos/nixos/henrovnix_ok/assets/scripts/copy_stuff.sh"
if [ ! -f "$COPY_SCRIPT" ]; then
echo "Error: Script $COPY_SCRIPT does not exist."
exit 1
fi
"$COPY_SCRIPT"
+12
View File
@@ -0,0 +1,12 @@
#!/run/current-system/sw/bin/bash
# Get a list of available Wi-Fi networks
networks=$(nmcli -t -f SSID device wifi list)
# Show the list using wofi with dmenu mode
selected=$(echo "$networks" | wofi --show dmenu --width=300 --height=500 --prompt="Select a network")
# Connect to the selected network with the --ask option
if [ -n "$selected" ]; then
nmcli --ask device wifi connect "$selected"
fi